module.exports = {
    config: (entry = []) => {
        return [...entry, require.resolve('./preview')];
    },
    managerEntries: (entry = []) => {
        return [...entry, require.resolve('./manager')];
    },
    webpackFinal: (config = {}, options = {}) => {
        return Object.assign(Object.assign({}, config), { module: Object.assign(Object.assign({}, config.module), { rules: [
                    ...config.module.rules,
                    {
                        test: require.resolve('./preview'),
                        loader: require.resolve('./preview-loader'),
                        options,
                    },
                ] }) });
    },
    managerWebpack: (config = {}, options = {}) => {
        return Object.assign(Object.assign({}, config), { module: Object.assign(Object.assign({}, config.module), { rules: [
                    ...config.module.rules,
                    {
                        test: require.resolve('./manager'),
                        loader: require.resolve('./manager-loader'),
                        options,
                    },
                ] }) });
    },
};
